<div fxLayout="column">
  <mat-form-field
    *ngFor="let control of form.get('players')['controls']; let index = index"
    fxFlex
    appearance="fill"
    color="accent"
    [formGroup]="control"
  >
    <mat-label translate>{{ 'PLAYER_COUNT' | translate: { value: index + 1 } }} </mat-label>
    <input required matInput type="text" [formControl]="control" />
    <button
      type="button"
      *ngIf="form.value.players.length >= 2"
      (click)="removePlayer.emit(index)"
      matSuffix
      tabindex="-1"
      mat-icon-button
    >
      <mat-icon>close</mat-icon>
    </button>
  </mat-form-field>

  <!-- Button AddPlayer-->
  <div>
    <button type="button" color="primary" (click)="add.emit()" mat-flat-button>
      <mat-icon>add</mat-icon>

      {{ 'ADD_PLAYER' | translate }}
    </button>
  </div>
</div>
